Välkommen till linuxportalen.se!

Linuxportalen.se är Sveriges största och aktivaste webbplats för användare av öppen- och fri programvara.

Du besöker Linuxportalen.se som gäst vilket begränsar din möjlighet att använda webbplatsens alla funktioner. Genom att registera dig som medlem får du inte bara möjlighet att söka bland webbplatsens innehåll, skapa nya och delta i befintliga diskussioner, skapa din egen blogg, kommunicera med andra medlemmar genom privata meddelanden och delta i omröstningar. Du får också tillgång till Veckans Kadavro - en seriestrip unikt skapad för Linuxportalen.se!

Registeringen sker snabbt och är helt kostnadsfri - tveka inte, bli medlem idag!

Slumpvis Maccadress på nätverkskorten, slumpvist värdnamn samt fejkat ip!!

Sitter i mitt Sabayonssystem, ovanligt för mig nuförtiden att hålla på med ett Gentoo-baserat system. På min netbook har jag tre system som jag kan boota från grub! Linux-Mint-Debian, Ubuntu 11.04 och Sabayon!Inget Windowsskräp!

Normalt sett är jag bara inne i mitt Ubuntu 11.04 system, även om jag regelbundet chrootar till de andra systemen och laddar hem uppdateringar via terminalen! Kan vara inne i flera system samtidigt, har även andra inbyggda system i Ubuntu 11.04 systemet som jag chrootar till. Tydligen är jag rätt nöjd med Ubuntusystemet! Dock inte med ett defaultssystem, installerat lubuntupaketen(med lxde, mitt val tycker det flyter på snabbare än exempelvis xfce och xubuntu) så jag kör varken gnome eller unity. För mig personligen, spelar det ingen roll vilken riktning ubuntu tar. Wayland, unity etc

Kommer alltid köra ett tweakat system, upphottat system.Troligtvis också ett debianbaserat.Idag har jag retat upp mig på att det inte bara gick att kopiera mina initscript från mitt ubuntusystem till Sabayons initscript och köra dem rakt av. Om jag orkar så ska jag försöka konvertera dem till gentoo-formaten. Som det ser ut nu ett framtida projekt med låg prioritet.

Tänkte dela med mig av några script! De första två är för att få ett slumpvist valt värdnamn(hostname, inte jag som skrivit dessa båda script varför uppfinna hjulet på nytt) vid varje uppstart av datorn. Det tredje scriptet är för att få en slumpvis vald maccadress på nätverkskorten, på detta sätt ser det ut som en ny dator ansluter vid varje uppstart. Kommer även dela med mig av hur man konfigurerar tor i ubuntu 11.04 med torbutton, initscripten bör fungera utan problem i Debian/Ubuntu baserade system!

(Döp första scriptet till /etc/init.d/hostname.sh)

#!/bin/sh
### BEGIN INIT INFO
# Provides:          hostname
# Required-Start:
# Required-Stop:
# Should-Start:      glibc
# Default-Start:     S
# Default-Stop:
# Short-Description: Sets a random hostname
# Description:       Read /usr/share/dict/words, pick a random word
#                    and update the kernel value with this value.
#                    If /etc/hostname is empty, it is created.
#                    The old hostname in /etc/hosts is also replaced
#                    If everything fails, the value 'localhost' is used.
### END INIT INFO
# INSTALLING:
# sudo cp hostname.sh /etc/init.d/hostname.sh
# sudo chmod u+x /etc/init.d/hostname.sh
# sudo update-rc.d hostname.sh start 02 S .
# reboot & pray
# WRITTEN BY Pragmatk, May 2010

PATH=/sbin:/bin

. /lib/init/vars.sh
. /lib/lsb/init-functions

do_start () {
    # either current name or /etc/hostname (/etc/hostname shouldn't be missing)
    [ -f /etc/hostname ] && OLD_HOSTNAME="$(cat /etc/hostname)"

    # Keep current name if /etc/hostname is missing.
    [ -z "$OLD_HOSTNAME" ] && OLD_HOSTNAME="$(hostname)"

    # below we pick a random word and filter it for special chars (and make sure we still have string)
    # could be approached cleaner (ie rejecting a word with special chars instead of filtering,
    # but that'd give us fewer pretty names to pick from!)
    HOSTNAME=`cat /usr/share/dict/words |/usr/bin/perl -e '@w=<>;$g="";while($_!~/\A[a-z]+\Z/i){@good=$w[int rand $#w]=~/([a-z]+)/ig;$_=join("",@good);}print'`

    #default to localhost (we do not want to use a previously stored value)
    [ -z "$HOSTNAME" ] && HOSTNAME=localhost

    log_action_begin_msg    "$HOSTNAME is now the new hostname :-)"
    [ "$VERBOSE" != no ] && log_action_begin_msg "Setting hostname to '$HOSTNAME'"
    hostname "$HOSTNAME"
    ES=$?
    [ "$VERBOSE" != no ] && log_action_end_msg $ES
    exit $ES
}

case "$1" in
  start|"")
    do_start
    ;;
  restart|reload|force-reload)
    echo "Error: argument '$1' not supported" >&2
    exit 3
    ;;
  stop)
    # No-op
    ;;
  *)
    echo "Usage: hostname.sh [start|stop]" >&2
    exit 3
    ;;
esac
 

(Döp andra scriptet till /etc/init.d/hostname-rewrite-files)

#!/bin/sh
### BEGIN INIT INFO
# Provides:          hostname-rewrite-files
# Required-Start:    mountall
# Required-Stop:
# Should-Start:      glibc
# Default-Start:     S
# Default-Stop:
# Short-Description: Writes the current hostname to disk
# Description:       Writes the current hostname to disk when the
#                    filesystem has been remounted (to enable permanent
#                    name change).
### END INIT INFO
# Written by Pragmatk, May 2010
## INSTALLING:
# sudo cp hostname-rewrite-files /etc/init.d/hostname-rewrite-files
# sudo chmod u+x /etc/init.d/hostname-rewrite-files
# sudo update-rc.d hostname-rewrite-files start 36 S .
# hope it works
# ???
# PROFIT!

PATH=/sbin:/bin

. /lib/init/vars.sh
. /lib/lsb/init-functions

do_start () {
    HOSTNAME=$(hostname)
    OLD_HOSTNAME=`cat /etc/hostname`
    if [ ! -z "$OLD_HOSTNAME" ] && [ ! -z "$HOSTNAME" ] && [ "$OLD_HOSTNAME" != "$HOSTNAME" ]; then
    for file in /etc/hostname /etc/hosts; do
        log_action_begin_msg "replacing ${OLD_HOSTNAME} with $HOSTNAME in file $file"
        sed s:${OLD_HOSTNAME}:${HOSTNAME}:g $file > ${file}.new && mv ${file}.new $file && log_action_begin_msg "done: replacing ${OLD_HOSTNAME} with ${HOSTNAME}" || log_action_warning_msg "failed when replacing ${OLD_HOSTNAME} with ${HOSTNAME} in $file"
    done
    fi
    exit 0
}

case "$1" in
  start|"")
    do_start
    ;;
  restart|reload|force-reload)
    echo "Error: argument '$1' not supported" >&2
    exit 3
    ;;
  stop)
    # No-op
    ;;
  *)
    echo "Usage: hostname.sh [start|stop]" >&2
    exit 3
    ;;
esac
 

 

Hur du aktiverar scripten står angivet i koden(chmod +x /etc/init.d/hostname-sh && chmod +x hostname-rewrite-files && update-rc.d hostname.sh start 02 S && update-rc.d hostname-rewrite-files start 36 S )

Skapa nu ett till script(nano /etc/init.d/Custom-script)

Lägg till följande kod modifiera om du använder andra nätverksinterface( kan du se med kommandot ifconfig)

#!/bin/bash

### BEGIN INIT INFO
# Provides:          Customised Settings
# Short-Description: Customised initscript by user
# Required-Start:   
# Required-Stop:    
# Default-Start:    
# Default-Stop:     
# Description:       This file loads user-specific commands
### END INIT INFO

etc/init.d/tor stop

ifconfig eth0 down
macchanger -a eth0
ifconfig eth0 up
ifconfig wlan0 down
macchanger -a wlan0
ifconfig wlan0 up

(glöm inte skriva chmod +x /etc/init.d/Custom-script && update-rc.d Custom-Script defaults )

Installera macchanger, tor,  polipo samt vidalia finns i ubuntu 11.04 repot ( apt-get install tor polipo vidalia macchanger)

Ändra konfigurationsfilen för polipo(nano /etc/polipo/config)

### Basic configuration
### *******************
proxyAddress = "127.0.0.1"
proxyPort = 8118
allowedClients = 127.0.0.1
allowedPorts = 1-65535
proxyName = "localhost"
cacheIsShared = false
socksParentProxy = "localhost:9050"
socksProxyType = socks5
### Memory
### ******
chunkHighMark = 67108864
### On-disk data
### ************
diskCacheRoot = ""
localDocumentRoot = ""
disableLocalInterface = true
disableConfiguration = true

### Domain Name System
### ******************
dnsUseGethostbyname = yes
### HTTP
### ****
disableVia = true
censoredHeaders = from,accept-language,x-pad,link
censorReferer = maybe
maxConnectionAge = 5m
maxConnectionRequests = 120
serverMaxSlots = 8
serverSlots = 2
tunnelAllowedPorts = 1-65535

 

Installera torbutton, härifrån https://www.torproject.org/torbutton/index.html.en (Alphaversionen fungerar för mig i ubuntu 11.04 samt i Sabayon)

Lycka till

Alternativ för kommentarvisning

Välj ditt önskade sätt att visa kommentarerna och klicka på "Spara" för att verkställa dina ändringar.

benzins bild

Sweet :) Tackar!